Package be.fgov.ehealth.technicalconnector.ra.mapper

# Class RaMapperSelmaGeneratedClass

java.lang.Object
be.fgov.ehealth.technicalconnector.ra.mapper.RaMapperSelmaGeneratedClass

All Implemented Interfaces:
  `RaMapper`

public final class RaMapperSelmaGeneratedClass extends Object implements RaMapper

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RaMapperSelmaGeneratedClass()`
  Single constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final Actor`
  `asActor(ActorType inActorType)`
  `final ActorId`
  `asActorId(Id inId)`
  `final ActorQualities`
  `asActorQualities(GetActorQualitiesResponse inGetActorQualitiesResponse)`
  `final ActorType`
  `asActorType(Actor inActor)`
  `final Certificate`
  `asCertificate(GenerateCertificateResponse inGenerateCertificateResponse)`
  `final CertificateIdentifierType`
  `asCertificateIdentifierType(CertificateIdentifier inCertificateIdentifier)`
  `final ContactDataType`
  `asContactDataType(ContactData inContactData)`
  `final ContractType`
  `asContractType(NewCertificateContract inNewCertificateContract)`
  `final GenerateContractRequest`
  `asGenerateContractRequest(ContractRequest inContractRequest)`
  `final GenerateRevocationContractRequest`
  `asGenerateContractRequest(RevocationContractRequest inRevocationContractRequest)`
  `final GeneratedContract`
  `asGeneratedContract(ContractType inContractType)`
  `final Id`
  `asId(ActorId inActorId)`
  `final LocalizedString`
  `asLocalizedString(LocalizedString inLocalizedString)`
  `final LocalizedString`
  `asLocalizedString(LocalizedString inLocalizedString)`
  `final LocalizedText`
  `asLocalizedText(TextType inTextType)`
  `final Organization`
  `asOrganization(OrganizationType inOrganizationType)`
  `final GeneratedRevocationContract`
  `asRevocationContract(RevocationContractType inRevocationContractType)`
  `final RevocationContractType`
  `asRevocationContractType(GeneratedRevocationContract inGeneratedRevocationContract)`
  `final RevokeRequest`
  `asRevokeRequest(RevocationRequest inRevocationRequest)`
  `final SubmitCSRForForeignerRequest`
  `asSubmitCSRForForeignerRequest(ForeignerRequest inForeignerRequest)`
  `final SubmitCSRForForeignerResponseInfo`
  `asSubmitCSRForForeignerResponseInfo(SubmitCSRForForeignerResponse inSubmitCSRForForeignerResponse)`
  `final TextType`
  `asTextType(LocalizedText inLocalizedText)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RaMapperSelmaGeneratedClass

    public RaMapperSelmaGeneratedClass()
    Single constructor

- ## Method Details

  - ### asOrganization

    public final Organization asOrganization(OrganizationType inOrganizationType)
    Specified by:
      `asOrganization` in interface `RaMapper`

  - ### asLocalizedText

    public final LocalizedText asLocalizedText(TextType inTextType)

  - ### asLocalizedString

    public final LocalizedString asLocalizedString(LocalizedString inLocalizedString)

  - ### asActorId

    public final ActorId asActorId(Id inId)

  - ### asContractType

    public final ContractType asContractType(NewCertificateContract inNewCertificateContract)
    Specified by:
      `asContractType` in interface `RaMapper`

  - ### asTextType

    public final TextType asTextType(LocalizedText inLocalizedText)

  - ### asLocalizedString

    public final LocalizedString asLocalizedString(LocalizedString inLocalizedString)

  - ### asActorType

    public final ActorType asActorType(Actor inActor)

  - ### asId

    public final Id asId(ActorId inActorId)

  - ### asGenerateContractRequest

    public final GenerateContractRequest asGenerateContractRequest(ContractRequest inContractRequest)
    Specified by:
      `asGenerateContractRequest` in interface `RaMapper`

  - ### asCertificateIdentifierType

    public final CertificateIdentifierType asCertificateIdentifierType(CertificateIdentifier inCertificateIdentifier)

  - ### asCertificate

    public final Certificate asCertificate(GenerateCertificateResponse inGenerateCertificateResponse)
    Specified by:
      `asCertificate` in interface `RaMapper`

  - ### asGeneratedContract

    public final GeneratedContract asGeneratedContract(ContractType inContractType)
    Specified by:
      `asGeneratedContract` in interface `RaMapper`

  - ### asActor

    public final Actor asActor(ActorType inActorType)

  - ### asSubmitCSRForForeignerRequest

    public final SubmitCSRForForeignerRequest asSubmitCSRForForeignerRequest(ForeignerRequest inForeignerRequest)
    Specified by:
      `asSubmitCSRForForeignerRequest` in interface `RaMapper`

  - ### asContactDataType

    public final ContactDataType asContactDataType(ContactData inContactData)
    Specified by:
      `asContactDataType` in interface `RaMapper`

  - ### asRevocationContract

    public final GeneratedRevocationContract asRevocationContract(RevocationContractType inRevocationContractType)
    Specified by:
      `asRevocationContract` in interface `RaMapper`

  - ### asSubmitCSRForForeignerResponseInfo

    public final SubmitCSRForForeignerResponseInfo asSubmitCSRForForeignerResponseInfo(SubmitCSRForForeignerResponse inSubmitCSRForForeignerResponse)
    Specified by:
      `asSubmitCSRForForeignerResponseInfo` in interface `RaMapper`

  - ### asActorQualities

    public final ActorQualities asActorQualities(GetActorQualitiesResponse inGetActorQualitiesResponse)
    Specified by:
      `asActorQualities` in interface `RaMapper`

  - ### asGenerateContractRequest

    public final GenerateRevocationContractRequest asGenerateContractRequest(RevocationContractRequest inRevocationContractRequest)
    Specified by:
      `asGenerateContractRequest` in interface `RaMapper`

  - ### asRevokeRequest

    public final RevokeRequest asRevokeRequest(RevocationRequest inRevocationRequest)
    Specified by:
      `asRevokeRequest` in interface `RaMapper`

  - ### asRevocationContractType

    public final RevocationContractType asRevocationContractType(GeneratedRevocationContract inGeneratedRevocationContract)